Welcome to Centmin Mod Community
Become a Member

Install Can i install centmin on a nanode from Linode? Having issue

Discussion in 'Install & Upgrades or Pre-Install Questions' started by Altair, May 3, 2020.

  1. Altair

    Altair Member

    57
    3
    8
    Jan 27, 2018
    Ratings:
    +3
    Local Time:
    9:16 PM
    i ordered a nanode form linode which basically is:
    CentOS 7, Nanode 1GB: 1 CPU, 25GB Storage, 1GB RAM

    I tried running both commands:
    yum -y update; curl -O https://centminmod.com/betainstaller.sh && chmod 0700 betainstaller.sh && bash betainstaller.sh

    &
    yum -y update; curl -O https://centminmod.com/betainstaller73.sh && chmod 0700 betainstaller73.sh && bash betainstaller73.sh

    both would run fine, but when i try "centmin.sh" i get
    -bash: centmin.sh: command not found

    also if i try command
    cd /usr/local/src/centminmod

    i get:
    -bash: cd: /usr/local/src/centminmod: No such file or directory
     
  2. eva2000

    eva2000 Administrator Staff Member

    44,163
    10,066
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,556
    Local Time:
    4:16 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    As per Install - How to troubleshoot Centmin Mod initial install issues. You'll need to post on the forums with the following info
    • Server or VPS details ? XEN, KVM, OpenVZ, VMWare or dedicated server ? OS ? CentOS 6.9 or 7.4 ? 32bit or 64bit ?
    • What version of Centmin Mod ? .07 stable or 08 stable or .09 beta01 or another branch version ?
    • Was it fresh install or upgrade ?
    • Method of install ? Via centmin.sh menu option 1, Git install or curl one liner install as outlined at centminmod.com/download.html ?
    • How long ago did you install Centmin Mod ?
    • There's numerous code changes, bug fixes over time, so ensure you have latest Centmin Mod code installed by upgrading your Centmin Mod code as instructed below.

    Troubleshooting Initial Install



    To troubleshoot initial installation, you need to check the initial install log at /root/centminlogs and instructions under Sharing logs and errors heading for using Pastebin.com or Gists to share a sanitised version of the contents of the initial install log. You can see full details at How to troubleshoot Centmin Mod initial install issues

    Example for 123.09beta01 and newer list /root/centminlogs files in date ascending order and grep for installer_*
    Code (Text):
    ls -lahrt /root/centminlogs | grep installer_*
    

    example output returns install log at /root/centminlogs both a the full log and minimal log (smaller in size with some stuff filtered out)
    Code (Text):
    ls -lahrt /root/centminlogs | grep installer_*
    -rw-r--r-- 1 root root 4.3M Jul 12 09:06 installer_120718-083445.log
    -rw-r--r-- 1 root root 826K Jul 12 10:20 installer_120718-083445_minimal.log
    


    Example for 123.08stable list /root/centminlogs files in date ascending order and grep for install.log
    Code (Text):
    ls -lahrt /root/centminlogs | grep install.log
    

    example output returns install log at /root/centminlogs/centminmod_1.2.3-eva2000.09.001_111016-112321_install.log
    Code (Text):
    ls -lahrt /root/centminlogs | grep install.log
    -rw-r--r--  1 root root 2.2M Oct 11 01:40 centminmod_1.2.3-eva2000.09.001_111016-112321_install.log
    

    in SSH use cat to ouput contents of /root/centminlogs/centminmod_1.2.3-eva2000.09.001_111016-112321_install.log. Clear your SSH client window/buffer so only output is the contents of the file

    for 123.08stable
    Code (Text):
    cat /root/centminlogs/centminmod_1.2.3-eva2000.09.001_111016-112321_install.log
    

    for 123.09beta01 and newer
    Code (Text):
    cat /root/centminlogs/installer_120718-083445_minimal.log
    


    Then copy and paste into Pastebin.com or Gists entry. If your SSH window scroll buffer isn't that large to get the whole contents of the install log, you can download file manually and copy and paste contents. But makes sure it's sanitised version of the contents of the initial install log as outlined at How to troubleshoot Centmin Mod initial install issues
     
    • Like Like x 1
  3. Altair

    Altair Member

    57
    3
    8
    Jan 27, 2018
    Ratings:
    +3
    Local Time:
    9:16 PM
    Code:
    [root@hostname /]# cat /root/centminlogs/installer_030520-113454.log
    Loaded plugins: versionlock
    Package which-2.20-7.el7.x86_64 already installed and latest version
    Package e2fsprogs-1.42.9-17.el7.x86_64 already installed and latest version
    Package 1:openssl-1.0.2k-19.el7.x86_64 already installed and latest version
    Package zlib-1.2.7-18.el7.x86_64 already installed and latest version
    Package net-tools-2.0-0.25.20131004git.el7.x86_64 already installed and latest version
    Package 1:make-3.82-24.el7.x86_64 already installed and latest version
    Resolving Dependencies
    There are unfinished transactions remaining. You might consider running yum-complete-transaction, or "yum-complete-transaction --cleanup-only" and "yum history redo last", first to finish them. If those don't work you'll have to try removing/installing packages by hand (maybe package-cleanup can help).
    The program yum-complete-transaction is found in the yum-utils package.
    --> Running transaction check
    ---> Package automake.noarch 0:1.13.4-3.el7 will be installed
    --> Processing Dependency: autoconf >= 2.65 for package: automake-1.13.4-3.el7.noarch
    --> Processing Dependency: perl(Thread::Queue) for package: automake-1.13.4-3.el7.noarch
    --> Processing Dependency: perl(TAP::Parser) for package: automake-1.13.4-3.el7.noarch
    ---> Package bc.x86_64 0:1.06.95-13.el7 will be installed
    ---> Package bluez-libs-devel.x86_64 0:5.44-6.el7 will be installed
    --> Processing Dependency: bluez-libs(x86-64) = 5.44-6.el7 for package: bluez-libs-devel-5.44-6.el7.x86_64
    --> Processing Dependency: libbluetooth.so.3()(64bit) for package: bluez-libs-devel-5.44-6.el7.x86_64
    ---> Package bzip2-devel.x86_64 0:1.0.6-13.el7 will be installed
    ---> Package cmake.x86_64 0:2.8.12.2-2.el7 will be installed
    --> Processing Dependency: libarchive.so.13()(64bit) for package: cmake-2.8.12.2-2.el7.x86_64
    ---> Package e2fsprogs-devel.x86_64 0:1.42.9-17.el7 will be installed
    --> Processing Dependency: libcom_err-devel(x86-64) = 1.42.9-17.el7 for package: e2fsprogs-devel-1.42.9-17.el7.x86_64
    --> Processing Dependency: pkgconfig(com_err) for package: e2fsprogs-devel-1.42.9-17.el7.x86_64
    ---> Package gcc.x86_64 0:4.8.5-39.el7 will be installed
    --> Processing Dependency: cpp = 4.8.5-39.el7 for package: gcc-4.8.5-39.el7.x86_64
    --> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc-4.8.5-39.el7.x86_64
    --> Processing Dependency: libmpfr.so.4()(64bit) for package: gcc-4.8.5-39.el7.x86_64
    --> Processing Dependency: libmpc.so.3()(64bit) for package: gcc-4.8.5-39.el7.x86_64
    ---> Package gcc-c++.x86_64 0:4.8.5-39.el7 will be installed
    ---> Package gd.x86_64 0:2.0.35-26.el7 will be installed
    --> Processing Dependency: libfontconfig.so.1()(64bit) for package: gd-2.0.35-26.el7.x86_64
    --> Processing Dependency: libXpm.so.4()(64bit) for package: gd-2.0.35-26.el7.x86_64
    --> Processing Dependency: libX11.so.6()(64bit) for package: gd-2.0.35-26.el7.x86_64
    ---> Package gd-devel.x86_64 0:2.0.35-26.el7 will be installed
    --> Processing Dependency: libpng-devel for package: gd-devel-2.0.35-26.el7.x86_64
    --> Processing Dependency: libjpeg-devel for package: gd-devel-2.0.35-26.el7.x86_64
    --> Processing Dependency: libXpm-devel for package: gd-devel-2.0.35-26.el7.x86_64
    --> Processing Dependency: libX11-devel for package: gd-devel-2.0.35-26.el7.x86_64
    --> Processing Dependency: freetype-devel for package: gd-devel-2.0.35-26.el7.x86_64
    --> Processing Dependency: fontconfig-devel for package: gd-devel-2.0.35-26.el7.x86_64
    ---> Package gmp-devel.x86_64 1:6.0.0-15.el7 will be installed
    ---> Package libXext-devel.x86_64 0:1.3.3-3.el7 will be installed
    --> Processing Dependency: libXext = 1.3.3-3.el7 for package: libXext-devel-1.3.3-3.el7.x86_64
    --> Processing Dependency: pkgconfig(xextproto) for package: libXext-devel-1.3.3-3.el7.x86_64
    --> Processing Dependency: libXext.so.6()(64bit) for package: libXext-devel-1.3.3-3.el7.x86_64
    ---> Package libidn-devel.x86_64 0:1.28-4.el7 will be installed
    ---> Package libtool.x86_64 0:2.4.2-22.el7_3 will be installed
    ---> Package libtool-ltdl-devel.x86_64 0:2.4.2-22.el7_3 will be installed
    --> Processing Dependency: libtool-ltdl = 2.4.2-22.el7_3 for package: libtool-ltdl-devel-2.4.2-22.el7_3.x86_64
    --> Processing Dependency: libltdl.so.7()(64bit) for package: libtool-ltdl-devel-2.4.2-22.el7_3.x86_64
    ---> Package libuuid.x86_64 0:2.23.2-61.el7 will be updated
    --> Processing Dependency: libuuid = 2.23.2-61.el7 for package: libblkid-2.23.2-61.el7.x86_64
    ---> Package libuuid.x86_64 0:2.23.2-63.el7 will be an update
    ---> Package libuuid-devel.x86_64 0:2.23.2-63.el7 will be installed
    ---> Package openldap-devel.x86_64 0:2.4.44-21.el7_6 will be installed
    --> Processing Dependency: cyrus-sasl-devel(x86-64) for package: openldap-devel-2.4.44-21.el7_6.x86_64
    ---> Package openssl-devel.x86_64 1:1.0.2k-19.el7 will be installed
    --> Processing Dependency: krb5-devel(x86-64) for package: 1:openssl-devel-1.0.2k-19.el7.x86_64
    ---> Package yum-utils.noarch 0:1.1.31-53.el7 will be installed
    --> Processing Dependency: python-kitchen for package: yum-utils-1.1.31-53.el7.noarch
    --> Processing Dependency: libxml2-python for package: yum-utils-1.1.31-53.el7.noarch
    ---> Package zlib-devel.x86_64 0:1.2.7-18.el7 will be installed
    --> Running transaction check
    ---> Package autoconf.noarch 0:2.69-11.el7 will be installed
    --> Processing Dependency: m4 >= 1.4.14 for package: autoconf-2.69-11.el7.noarch
    --> Processing Dependency: perl(Data::Dumper) for package: autoconf-2.69-11.el7.noarch
    ---> Package bluez-libs.x86_64 0:5.44-6.el7 will be installed
    ---> Package cpp.x86_64 0:4.8.5-39.el7 will be installed
    ---> Package cyrus-sasl-devel.x86_64 0:2.1.26-23.el7 will be installed
    --> Processing Dependency: cyrus-sasl(x86-64) = 2.1.26-23.el7 for package: cyrus-sasl-devel-2.1.26-23.el7.x86_64
    ---> Package fontconfig.x86_64 0:2.13.0-4.3.el7 will be installed
    --> Processing Dependency: fontpackages-filesystem for package: fontconfig-2.13.0-4.3.el7.x86_64
    --> Processing Dependency: dejavu-sans-fonts for package: fontconfig-2.13.0-4.3.el7.x86_64
    ---> Package fontconfig-devel.x86_64 0:2.13.0-4.3.el7 will be installed
    --> Processing Dependency: pkgconfig(expat) for package: fontconfig-devel-2.13.0-4.3.el7.x86_64
    ---> Package freetype-devel.x86_64 0:2.8-14.el7 will be installed
    ---> Package glibc-devel.x86_64 0:2.17-307.el7.1 will be installed
    --> Processing Dependency: glibc-headers = 2.17-307.el7.1 for package: glibc-devel-2.17-307.el7.1.x86_64
    --> Processing Dependency: glibc-headers for package: glibc-devel-2.17-307.el7.1.x86_64
    ---> Package krb5-devel.x86_64 0:1.15.1-46.el7 will be installed
    --> Processing Dependency: libkadm5(x86-64) = 1.15.1-46.el7 for package: krb5-devel-1.15.1-46.el7.x86_64
    --> Processing Dependency: libverto-devel for package: krb5-devel-1.15.1-46.el7.x86_64
    --> Processing Dependency: libselinux-devel for package: krb5-devel-1.15.1-46.el7.x86_64
    --> Processing Dependency: keyutils-libs-devel for package: krb5-devel-1.15.1-46.el7.x86_64
    ---> Package libX11.x86_64 0:1.6.7-2.el7 will be installed
    --> Processing Dependency: libX11-common >= 1.6.7-2.el7 for package: libX11-1.6.7-2.el7.x86_64
    --> Processing Dependency: libxcb.so.1()(64bit) for package: libX11-1.6.7-2.el7.x86_64
    ---> Package libX11-devel.x86_64 0:1.6.7-2.el7 will be installed
    --> Processing Dependency: pkgconfig(xcb) >= 1.11.1 for package: libX11-devel-1.6.7-2.el7.x86_64
    --> Processing Dependency: pkgconfig(xcb) for package: libX11-devel-1.6.7-2.el7.x86_64
    ---> Package libXext.x86_64 0:1.3.3-3.el7 will be installed
    ---> Package libXpm.x86_64 0:3.5.12-1.el7 will be installed
    ---> Package libXpm-devel.x86_64 0:3.5.12-1.el7 will be installed
    --> Processing Dependency: libXt.so.6()(64bit) for package: libXpm-devel-3.5.12-1.el7.x86_64
    ---> Package libarchive.x86_64 0:3.1.2-14.el7_7 will be installed
    ---> Package libcom_err-devel.x86_64 0:1.42.9-17.el7 will be installed
    ---> Package libjpeg-turbo-devel.x86_64 0:1.2.90-8.el7 will be installed
    ---> Package libmpc.x86_64 0:1.0.1-3.el7 will be installed
    ---> Package libpng-devel.x86_64 2:1.5.13-7.el7_2 will be installed
    ---> Package libtool-ltdl.x86_64 0:2.4.2-22.el7_3 will be installed
    ---> Package libuuid.x86_64 0:2.23.2-61.el7 will be updated
    --> Processing Dependency: libuuid = 2.23.2-61.el7 for package: libblkid-2.23.2-61.el7.x86_64
    ---> Package libxml2-python.x86_64 0:2.9.1-6.el7.4 will be installed
    ---> Package mpfr.x86_64 0:3.1.1-4.el7 will be installed
    ---> Package perl-Test-Harness.noarch 0:3.28-3.el7 will be installed
    ---> Package perl-Thread-Queue.noarch 0:3.02-2.el7 will be installed
    ---> Package python-kitchen.noarch 0:1.1.1-5.el7 will be installed
    --> Processing Dependency: python-chardet for package: python-kitchen-1.1.1-5.el7.noarch
    ---> Package xorg-x11-proto-devel.noarch 0:2018.4-1.el7 will be installed
    --> Running transaction check
    ---> Package cyrus-sasl.x86_64 0:2.1.26-23.el7 will be installed
    ---> Package dejavu-sans-fonts.noarch 0:2.33-6.el7 will be installed
    --> Processing Dependency: dejavu-fonts-common = 2.33-6.el7 for package: dejavu-sans-fonts-2.33-6.el7.noarch
    ---> Package expat-devel.x86_64 0:2.1.0-11.el7 will be installed
    ---> Package fontpackages-filesystem.noarch 0:1.44-8.el7 will be installed
    ---> Package glibc-headers.x86_64 0:2.17-307.el7.1 will be installed
    ---> Package keyutils-libs-devel.x86_64 0:1.5.8-3.el7 will be installed
    ---> Package libX11-common.noarch 0:1.6.7-2.el7 will be installed
    ---> Package libXt.x86_64 0:1.1.5-3.el7 will be installed
    --> Processing Dependency: libSM.so.6()(64bit) for package: libXt-1.1.5-3.el7.x86_64
    --> Processing Dependency: libICE.so.6()(64bit) for package: libXt-1.1.5-3.el7.x86_64
    ---> Package libkadm5.x86_64 0:1.15.1-46.el7 will be installed
    ---> Package libselinux-devel.x86_64 0:2.5-15.el7 will be installed
    --> Processing Dependency: libsepol-devel(x86-64) >= 2.5-10 for package: libselinux-devel-2.5-15.el7.x86_64
    --> Processing Dependency: pkgconfig(libsepol) for package: libselinux-devel-2.5-15.el7.x86_64
    --> Processing Dependency: pkgconfig(libpcre) for package: libselinux-devel-2.5-15.el7.x86_64
    ---> Package libuuid.x86_64 0:2.23.2-61.el7 will be updated
    --> Processing Dependency: libuuid = 2.23.2-61.el7 for package: libblkid-2.23.2-61.el7.x86_64
    ---> Package libverto-devel.x86_64 0:0.2.5-4.el7 will be installed
    ---> Package libxcb.x86_64 0:1.13-1.el7 will be installed
    --> Processing Dependency: libXau.so.6()(64bit) for package: libxcb-1.13-1.el7.x86_64
    ---> Package libxcb-devel.x86_64 0:1.13-1.el7 will be installed
    --> Processing Dependency: pkgconfig(xau) >= 0.99.2 for package: libxcb-devel-1.13-1.el7.x86_64
    ---> Package m4.x86_64 0:1.4.16-10.el7 will be installed
    ---> Package perl-Data-Dumper.x86_64 0:2.145-3.el7 will be installed
    ---> Package python-chardet.noarch 0:2.2.1-3.el7 will be installed
    --> Running transaction check
    ---> Package dejavu-fonts-common.noarch 0:2.33-6.el7 will be installed
    ---> Package libICE.x86_64 0:1.0.9-9.el7 will be installed
    ---> Package libSM.x86_64 0:1.2.2-2.el7 will be installed
    ---> Package libXau.x86_64 0:1.0.8-2.1.el7 will be installed
    ---> Package libXau-devel.x86_64 0:1.0.8-2.1.el7 will be installed
    ---> Package libsepol-devel.x86_64 0:2.5-10.el7 will be installed
    ---> Package libuuid.x86_64 0:2.23.2-61.el7 will be updated
    --> Processing Dependency: libuuid = 2.23.2-61.el7 for package: libblkid-2.23.2-61.el7.x86_64
    ---> Package pcre-devel.x86_64 0:8.32-17.el7 will be installed
    --> Finished Dependency Resolution
    Error: Package: libblkid-2.23.2-61.el7.x86_64 (@anaconda)
               Requires: libuuid = 2.23.2-61.el7
               Removing: libuuid-2.23.2-61.el7.x86_64 (@anaconda)
                   libuuid = 2.23.2-61.el7
               Updated By: libuuid-2.23.2-63.el7.x86_64 (base)
                   libuuid = 2.23.2-63.el7
     You could try using --skip-broken to work around the problem
    ** Found 19 pre-existing rpmdb problem(s), 'yum check' output follows:
    bash-4.2.46-34.el7.x86_64 is a duplicate with bash-4.2.46-33.el7.x86_64
    centos-release-7-8.2003.0.el7.centos.x86_64 is a duplicate with centos-release-7-7.1908.0.el7.centos.x86_64
    elfutils-libelf-0.176-4.el7.x86_64 is a duplicate with elfutils-libelf-0.176-2.el7.x86_64
    firewalld-filesystem-0.6.3-8.el7_8.1.noarch is a duplicate with firewalld-filesystem-0.6.3-2.el7.noarch
    glibc-2.17-307.el7.1.x86_64 is a duplicate with glibc-2.17-292.el7.x86_64
    glibc-common-2.17-307.el7.1.x86_64 is a duplicate with glibc-common-2.17-292.el7.x86_64
    1:grub2-common-2.02-0.81.el7.centos.noarch is a duplicate with 1:grub2-common-2.02-0.80.el7.centos.noarch
    1:grub2-pc-modules-2.02-0.81.el7.centos.noarch is a duplicate with 1:grub2-pc-modules-2.02-0.80.el7.centos.noarch
    libacl-2.2.51-15.el7.x86_64 is a duplicate with libacl-2.2.51-14.el7.x86_64
    libblkid-2.23.2-63.el7.x86_64 is a duplicate with libblkid-2.23.2-61.el7.x86_64
    libcap-2.22-11.el7.x86_64 is a duplicate with libcap-2.22-10.el7.x86_64
    libcom_err-1.42.9-17.el7.x86_64 is a duplicate with libcom_err-1.42.9-16.el7.x86_64
    libselinux-2.5-15.el7.x86_64 is a duplicate with libselinux-2.5-14.1.el7.x86_64
    libuuid-2.23.2-63.el7.x86_64 is a duplicate with libuuid-2.23.2-61.el7.x86_64
    nss-softokn-freebl-3.44.0-8.el7_7.x86_64 is a duplicate with nss-softokn-freebl-3.44.0-5.el7.x86_64
    nss-util-3.44.0-4.el7_7.x86_64 is a duplicate with nss-util-3.44.0-3.el7.x86_64
    pam-1.1.8-23.el7.x86_64 is a duplicate with pam-1.1.8-22.el7.x86_64
    sed-4.2.2-6.el7.x86_64 is a duplicate with sed-4.2.2-5.el7.x86_64
    tzdata-2020a-1.el7.noarch is a duplicate with tzdata-2019b-1.el7.noarch
    Loaded plugins: versionlock
    Package libcurl-7.29.0-57.el7.x86_64 already installed and latest version
    Resolving Dependencies
    There are unfinished transactions remaining. You might consider running yum-complete-transaction, or "yum-complete-transaction --cleanup-only" and "yum history redo last", first to finish them. If those don't work you'll have to try removing/installing packages by hand (maybe package-cleanup can help).
    The program yum-complete-transaction is found in the yum-utils package.
    --> Running transaction check
    ---> Package libcurl-devel.x86_64 0:7.29.0-57.el7 will be installed
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    ================================================================================
     Package               Arch           Version                Repository    Size
    ================================================================================
    Installing:
     libcurl-devel         x86_64         7.29.0-57.el7          base         303 k
    
    Transaction Summary
    ================================================================================
    Install  1 Package
    
    Total size: 303 k
    Installed size: 624 k
    Downloading packages:
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
      Installing : libcurl-devel-7.29.0-57.el7.x86_64                           1/1
      Verifying  : libcurl-devel-7.29.0-57.el7.x86_64                           1/1
    
    Installed:
      libcurl-devel.x86_64 0:7.29.0-57.el7
    
    Complete!
    Loaded plugins: versionlock
    No Match for argument: bzip2
    Package(s) bzip2 available, but not installed.
    No Match for argument: bzip2-devel
    Package(s) bzip2-devel available, but not installed.
    Error: Nothing to do
    Loaded plugins: versionlock
    There is no installed groups file.
    Maybe run: yum groups mark convert (see man yum)
    Resolving Dependencies
    There are unfinished transactions remaining. You might consider running yum-complete-transaction, or "yum-complete-transaction --cleanup-only" and "yum history redo last", first to finish them. If those don't work you'll have to try removing/installing packages by hand (maybe package-cleanup can help).
    The program yum-complete-transaction is found in the yum-utils package.
    --> Running transaction check
    ---> Package autoconf.noarch 0:2.69-11.el7 will be installed
    --> Processing Dependency: m4 >= 1.4.14 for package: autoconf-2.69-11.el7.noarch
    --> Processing Dependency: perl(Data::Dumper) for package: autoconf-2.69-11.el7.noarch
    ---> Package automake.noarch 0:1.13.4-3.el7 will be installed
    --> Processing Dependency: perl(Thread::Queue) for package: automake-1.13.4-3.el7.noarch
    --> Processing Dependency: perl(TAP::Parser) for package: automake-1.13.4-3.el7.noarch
    ---> Package bison.x86_64 0:3.0.4-2.el7 will be installed
    ---> Package byacc.x86_64 0:1.9.20130304-3.el7 will be installed
    ---> Package cscope.x86_64 0:15.8-10.el7 will be installed
    --> Processing Dependency: emacs-filesystem for package: cscope-15.8-10.el7.x86_64
    ---> Package ctags.x86_64 0:5.8-13.el7 will be installed
    ---> Package diffstat.x86_64 0:1.57-4.el7 will be installed
    ---> Package doxygen.x86_64 1:1.8.5-4.el7 will be installed
    ---> Package elfutils.x86_64 0:0.176-4.el7 will be installed
    ---> Package flex.x86_64 0:2.5.37-6.el7 will be installed
    ---> Package gcc.x86_64 0:4.8.5-39.el7 will be installed
    --> Processing Dependency: cpp = 4.8.5-39.el7 for package: gcc-4.8.5-39.el7.x86_64
    --> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc-4.8.5-39.el7.x86_64
    --> Processing Dependency: libmpfr.so.4()(64bit) for package: gcc-4.8.5-39.el7.x86_64
    --> Processing Dependency: libmpc.so.3()(64bit) for package: gcc-4.8.5-39.el7.x86_64
    ---> Package gcc-c++.x86_64 0:4.8.5-39.el7 will be installed
    ---> Package gcc-gfortran.x86_64 0:4.8.5-39.el7 will be installed
    --> Processing Dependency: libquadmath-devel = 4.8.5-39.el7 for package: gcc-gfortran-4.8.5-39.el7.x86_64
    --> Processing Dependency: libquadmath = 4.8.5-39.el7 for package: gcc-gfortran-4.8.5-39.el7.x86_64
    --> Processing Dependency: libgfortran = 4.8.5-39.el7 for package: gcc-gfortran-4.8.5-39.el7.x86_64
    --> Processing Dependency: libgfortran.so.3()(64bit) for package: gcc-gfortran-4.8.5-39.el7.x86_64
    ---> Package git.x86_64 0:1.8.3.1-22.el7_8 will be installed
    --> Processing Dependency: perl-Git = 1.8.3.1-22.el7_8 for package: git-1.8.3.1-22.el7_8.x86_64
    --> Processing Dependency: rsync for package: git-1.8.3.1-22.el7_8.x86_64
    --> Processing Dependency: perl(Term::ReadKey) for package: git-1.8.3.1-22.el7_8.x86_64
    --> Processing Dependency: perl(Git) for package: git-1.8.3.1-22.el7_8.x86_64
    --> Processing Dependency: perl(Error) for package: git-1.8.3.1-22.el7_8.x86_64
    ---> Package indent.x86_64 0:2.2.11-13.el7 will be installed
    ---> Package intltool.noarch 0:0.50.2-7.el7 will be installed
    --> Processing Dependency: perl(XML::Parser) for package: intltool-0.50.2-7.el7.noarch
    --> Processing Dependency: gettext-devel for package: intltool-0.50.2-7.el7.noarch
    ---> Package libtool.x86_64 0:2.4.2-22.el7_3 will be installed
    ---> Package patch.x86_64 0:2.7.1-12.el7_7 will be installed
    ---> Package patchutils.x86_64 0:0.3.3-4.el7 will be installed
    ---> Package rcs.x86_64 0:5.9.0-7.el7 will be installed
    ---> Package redhat-rpm-config.noarch 0:9.1.0-88.el7.centos will be installed
    --> Processing Dependency: dwz >= 0.4 for package: redhat-rpm-config-9.1.0-88.el7.centos.noarch
    --> Processing Dependency: zip for package: redhat-rpm-config-9.1.0-88.el7.centos.noarch
    --> Processing Dependency: python-srpm-macros for package: redhat-rpm-config-9.1.0-88.el7.centos.noarch
    --> Processing Dependency: perl-srpm-macros for package: redhat-rpm-config-9.1.0-88.el7.centos.noarch
    ---> Package rpm-build.x86_64 0:4.11.3-43.el7 will be installed
    --> Processing Dependency: unzip for package: rpm-build-4.11.3-43.el7.x86_64
    --> Processing Dependency: bzip2 for package: rpm-build-4.11.3-43.el7.x86_64
    --> Processing Dependency: /usr/bin/gdb-add-index for package: rpm-build-4.11.3-43.el7.x86_64
    ---> Package rpm-sign.x86_64 0:4.11.3-43.el7 will be installed
    ---> Package subversion.x86_64 0:1.7.14-14.el7 will be installed
    --> Processing Dependency: subversion-libs(x86-64) = 1.7.14-14.el7 for package: subversion-1.7.14-14.el7.x86_64
    --> Processing Dependency: libsvn_wc-1.so.0()(64bit) for package: subversion-1.7.14-14.el7.x86_64
    --> Processing Dependency: libsvn_subr-1.so.0()(64bit) for package: subversion-1.7.14-14.el7.x86_64
    --> Processing Dependency: libsvn_repos-1.so.0()(64bit) for package: subversion-1.7.14-14.el7.x86_64
    --> Processing Dependency: libsvn_ra_svn-1.so.0()(64bit) for package: subversion-1.7.14-14.el7.x86_64
    --> Processing Dependency: libsvn_ra_neon-1.so.0()(64bit) for package: subversion-1.7.14-14.el7.x86_64
    --> Processing Dependency: libsvn_ra_local-1.so.0()(64bit) for package: subversion-1.7.14-14.el7.x86_64
    --> Processing Dependency: libsvn_ra-1.so.0()(64bit) for package: subversion-1.7.14-14.el7.x86_64
    --> Processing Dependency: libsvn_fs_util-1.so.0()(64bit) for package: subversion-1.7.14-14.el7.x86_64
    --> Processing Dependency: libsvn_fs_fs-1.so.0()(64bit) for package: subversion-1.7.14-14.el7.x86_64
    --> Processing Dependency: libsvn_fs_base-1.so.0()(64bit) for package: subversion-1.7.14-14.el7.x86_64
    --> Processing Dependency: libsvn_fs-1.so.0()(64bit) for package: subversion-1.7.14-14.el7.x86_64
    --> Processing Dependency: libsvn_diff-1.so.0()(64bit) for package: subversion-1.7.14-14.el7.x86_64
    --> Processing Dependency: libsvn_delta-1.so.0()(64bit) for package: subversion-1.7.14-14.el7.x86_64
    --> Processing Dependency: libsvn_client-1.so.0()(64bit) for package: subversion-1.7.14-14.el7.x86_64
    --> Processing Dependency: libneon.so.27()(64bit) for package: subversion-1.7.14-14.el7.x86_64
    --> Processing Dependency: libaprutil-1.so.0()(64bit) for package: subversion-1.7.14-14.el7.x86_64
    --> Processing Dependency: libapr-1.so.0()(64bit) for package: subversion-1.7.14-14.el7.x86_64
    ---> Package swig.x86_64 0:2.0.10-5.el7 will be installed
    ---> Package systemtap.x86_64 0:4.0-11.el7 will be installed
    --> Processing Dependency: systemtap-devel = 4.0-11.el7 for package: systemtap-4.0-11.el7.x86_64
    --> Processing Dependency: systemtap-client = 4.0-11.el7 for package: systemtap-4.0-11.el7.x86_64
    --> Running transaction check
    ---> Package apr.x86_64 0:1.4.8-5.el7 will be installed
    ---> Package apr-util.x86_64 0:1.5.2-6.el7 will be installed
    ---> Package bzip2.x86_64 0:1.0.6-13.el7 will be installed
    ---> Package cpp.x86_64 0:4.8.5-39.el7 will be installed
    ---> Package dwz.x86_64 0:0.11-3.el7 will be installed
    ---> Package emacs-filesystem.noarch 1:24.3-23.el7 will be installed
    ---> Package gdb.x86_64 0:7.6.1-119.el7 will be installed
    ---> Package gettext-devel.x86_64 0:0.19.8.1-3.el7 will be installed
    --> Processing Dependency: gettext-common-devel = 0.19.8.1-3.el7 for package: gettext-devel-0.19.8.1-3.el7.x86_64
    ---> Package glibc-devel.x86_64 0:2.17-307.el7.1 will be installed
    --> Processing Dependency: glibc-headers = 2.17-307.el7.1 for package: glibc-devel-2.17-307.el7.1.x86_64
    --> Processing Dependency: glibc-headers for package: glibc-devel-2.17-307.el7.1.x86_64
    ---> Package libgfortran.x86_64 0:4.8.5-39.el7 will be installed
    ---> Package libmpc.x86_64 0:1.0.1-3.el7 will be installed
    ---> Package libquadmath.x86_64 0:4.8.5-39.el7 will be installed
    ---> Package libquadmath-devel.x86_64 0:4.8.5-39.el7 will be installed
    ---> Package m4.x86_64 0:1.4.16-10.el7 will be installed
    ---> Package mpfr.x86_64 0:3.1.1-4.el7 will be installed
    ---> Package neon.x86_64 0:0.30.0-4.el7 will be installed
    --> Processing Dependency: libproxy.so.1()(64bit) for package: neon-0.30.0-4.el7.x86_64
    --> Processing Dependency: libpakchois.so.0()(64bit) for package: neon-0.30.0-4.el7.x86_64
    ---> Package perl-Data-Dumper.x86_64 0:2.145-3.el7 will be installed
    ---> Package perl-Error.noarch 1:0.17020-2.el7 will be installed
    ---> Package perl-Git.noarch 0:1.8.3.1-22.el7_8 will be installed
    ---> Package perl-TermReadKey.x86_64 0:2.30-20.el7 will be installed
    ---> Package perl-Test-Harness.noarch 0:3.28-3.el7 will be installed
    ---> Package perl-Thread-Queue.noarch 0:3.02-2.el7 will be installed
    ---> Package perl-XML-Parser.x86_64 0:2.41-10.el7 will be installed
    ---> Package perl-srpm-macros.noarch 0:1-8.el7 will be installed
    ---> Package python-srpm-macros.noarch 0:3-32.el7 will be installed
    ---> Package rsync.x86_64 0:3.1.2-10.el7 will be installed
    ---> Package subversion-libs.x86_64 0:1.7.14-14.el7 will be installed
    ---> Package systemtap-client.x86_64 0:4.0-11.el7 will be installed
    --> Processing Dependency: systemtap-runtime = 4.0-11.el7 for package: systemtap-client-4.0-11.el7.x86_64
    --> Processing Dependency: mokutil for package: systemtap-client-4.0-11.el7.x86_64
    --> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap-client-4.0-11.el7.x86_64
    --> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap-client-4.0-11.el7.x86_64
    ---> Package systemtap-devel.x86_64 0:4.0-11.el7 will be installed
    ---> Package unzip.x86_64 0:6.0-21.el7 will be installed
    ---> Package zip.x86_64 0:3.0-11.el7 will be installed
    --> Running transaction check
    ---> Package avahi-libs.x86_64 0:0.6.31-20.el7 will be installed
    ---> Package gettext-common-devel.noarch 0:0.19.8.1-3.el7 will be installed
    ---> Package glibc-headers.x86_64 0:2.17-307.el7.1 will be installed
    ---> Package libproxy.x86_64 0:0.4.11-11.el7 will be installed
    --> Processing Dependency: libmodman.so.1()(64bit) for package: libproxy-0.4.11-11.el7.x86_64
    ---> Package mokutil.x86_64 0:15-2.el7.centos will be installed
    --> Processing Dependency: libefivar.so.1(libefivar.so.0)(64bit) for package: mokutil-15-2.el7.centos.x86_64
    --> Processing Dependency: libefivar.so.1(LIBEFIVAR_0.24)(64bit) for package: mokutil-15-2.el7.centos.x86_64
    --> Processing Dependency: libefivar.so.1()(64bit) for package: mokutil-15-2.el7.centos.x86_64
    ---> Package pakchois.x86_64 0:0.4-10.el7 will be installed
    ---> Package systemtap-runtime.x86_64 0:4.0-11.el7 will be installed
    --> Processing Dependency: libsymtabAPI.so.9.3()(64bit) for package: systemtap-runtime-4.0-11.el7.x86_64
    --> Processing Dependency: libdyninstAPI.so.9.3()(64bit) for package: systemtap-runtime-4.0-11.el7.x86_64
    --> Running transaction check
    ---> Package dyninst.x86_64 0:9.3.1-3.el7 will be installed
    --> Processing Dependency: libdwarf.so.0()(64bit) for package: dyninst-9.3.1-3.el7.x86_64
    --> Processing Dependency: libboost_thread-mt.so.1.53.0()(64bit) for package: dyninst-9.3.1-3.el7.x86_64
    --> Processing Dependency: libboost_system-mt.so.1.53.0()(64bit) for package: dyninst-9.3.1-3.el7.x86_64
    --> Processing Dependency: libboost_date_time-mt.so.1.53.0()(64bit) for package: dyninst-9.3.1-3.el7.x86_64
    ---> Package efivar-libs.x86_64 0:36-12.el7 will be installed
    ---> Package libmodman.x86_64 0:2.0.1-8.el7 will be installed
    --> Running transaction check
    ---> Package boost-date-time.x86_64 0:1.53.0-28.el7 will be installed
    ---> Package boost-system.x86_64 0:1.53.0-28.el7 will be installed
    ---> Package boost-thread.x86_64 0:1.53.0-28.el7 will be installed
    ---> Package libdwarf.x86_64 0:20130207-4.el7 will be installed
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    ================================================================================
     Package                  Arch       Version                  Repository   Size
    ================================================================================
    Installing for group install "Development Tools":
     autoconf                 noarch     2.69-11.el7              base        701 k
     automake                 noarch     1.13.4-3.el7             base        679 k
     bison                    x86_64     3.0.4-2.el7              base        674 k
     byacc                    x86_64     1.9.20130304-3.el7       base         65 k
     cscope                   x86_64     15.8-10.el7              base        203 k
     ctags                    x86_64     5.8-13.el7               base        155 k
     diffstat                 x86_64     1.57-4.el7               base         35 k
     doxygen                  x86_64     1:1.8.5-4.el7            base        3.6 M
     elfutils                 x86_64     0.176-4.el7              base        308 k
     flex                     x86_64     2.5.37-6.el7             base        293 k
     gcc                      x86_64     4.8.5-39.el7             base         16 M
     gcc-c++                  x86_64     4.8.5-39.el7             base        7.2 M
     gcc-gfortran             x86_64     4.8.5-39.el7             base        6.7 M
     git                      x86_64     1.8.3.1-22.el7_8         updates     4.4 M
     indent                   x86_64     2.2.11-13.el7            base        150 k
     intltool                 noarch     0.50.2-7.el7             base         59 k
     libtool                  x86_64     2.4.2-22.el7_3           base        588 k
     patch                    x86_64     2.7.1-12.el7_7           base        111 k
     patchutils               x86_64     0.3.3-4.el7              base        104 k
     rcs                      x86_64     5.9.0-7.el7              base        230 k
     redhat-rpm-config        noarch     9.1.0-88.el7.centos      base         81 k
     rpm-build                x86_64     4.11.3-43.el7            base        149 k
     rpm-sign                 x86_64     4.11.3-43.el7            base         49 k
     subversion               x86_64     1.7.14-14.el7            base        1.0 M
     swig                     x86_64     2.0.10-5.el7             base        1.3 M
     systemtap                x86_64     4.0-11.el7               base         15 k
    Installing for dependencies:
     apr                      x86_64     1.4.8-5.el7              base        103 k
     apr-util                 x86_64     1.5.2-6.el7              base         92 k
     avahi-libs               x86_64     0.6.31-20.el7            base         62 k
     boost-date-time          x86_64     1.53.0-28.el7            base         52 k
     boost-system             x86_64     1.53.0-28.el7            base         40 k
     boost-thread             x86_64     1.53.0-28.el7            base         58 k
     bzip2                    x86_64     1.0.6-13.el7             base         52 k
     cpp                      x86_64     4.8.5-39.el7             base        5.9 M
     dwz                      x86_64     0.11-3.el7               base         99 k
     dyninst                  x86_64     9.3.1-3.el7              base        3.5 M
     efivar-libs              x86_64     36-12.el7                base         88 k
     emacs-filesystem         noarch     1:24.3-23.el7            base         58 k
     gdb                      x86_64     7.6.1-119.el7            base        2.4 M
     gettext-common-devel     noarch     0.19.8.1-3.el7           base        410 k
     gettext-devel            x86_64     0.19.8.1-3.el7           base        320 k
     glibc-devel              x86_64     2.17-307.el7.1           base        1.1 M
     glibc-headers            x86_64     2.17-307.el7.1           base        689 k
     libdwarf                 x86_64     20130207-4.el7           base        109 k
     libgfortran              x86_64     4.8.5-39.el7             base        300 k
     libmodman                x86_64     2.0.1-8.el7              base         28 k
     libmpc                   x86_64     1.0.1-3.el7              base         51 k
     libproxy                 x86_64     0.4.11-11.el7            base         64 k
     libquadmath              x86_64     4.8.5-39.el7             base        190 k
     libquadmath-devel        x86_64     4.8.5-39.el7             base         53 k
     m4                       x86_64     1.4.16-10.el7            base        256 k
     mokutil                  x86_64     15-2.el7.centos          base         42 k
     mpfr                     x86_64     3.1.1-4.el7              base        203 k
     neon                     x86_64     0.30.0-4.el7             base        166 k
     pakchois                 x86_64     0.4-10.el7               base         14 k
     perl-Data-Dumper         x86_64     2.145-3.el7              base         47 k
     perl-Error               noarch     1:0.17020-2.el7          base         32 k
     perl-Git                 noarch     1.8.3.1-22.el7_8         updates      56 k
     perl-TermReadKey         x86_64     2.30-20.el7              base         31 k
     perl-Test-Harness        noarch     3.28-3.el7               base        302 k
     perl-Thread-Queue        noarch     3.02-2.el7               base         17 k
     perl-XML-Parser          x86_64     2.41-10.el7              base        223 k
     perl-srpm-macros         noarch     1-8.el7                  base        4.6 k
     python-srpm-macros       noarch     3-32.el7                 base        8.4 k
     rsync                    x86_64     3.1.2-10.el7             base        404 k
     subversion-libs          x86_64     1.7.14-14.el7            base        922 k
     systemtap-client         x86_64     4.0-11.el7               base        3.6 M
     systemtap-devel          x86_64     4.0-11.el7               base        2.2 M
     systemtap-runtime        x86_64     4.0-11.el7               base        443 k
     unzip                    x86_64     6.0-21.el7               base        171 k
     zip                      x86_64     3.0-11.el7               base        260 k
    
    Transaction Summary
    ================================================================================
    Install  26 Packages (+45 Dependent packages)
    
    Total size: 70 M
    Total download size: 27 M
    Installed size: 199 M
    Downloading packages:
    --------------------------------------------------------------------------------
    Total                                               43 MB/s |  27 MB  00:00
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
      Installing : mpfr-3.1.1-4.el7.x86_64                                     1/71
      Installing : libmpc-1.0.1-3.el7.x86_64                                   2/71
      Installing : libquadmath-4.8.5-39.el7.x86_64                             3/71
      Installing : apr-1.4.8-5.el7.x86_64                                      4/71
      Installing : m4-1.4.16-10.el7.x86_64                                     5/71
      Installing : apr-util-1.5.2-6.el7.x86_64                                 6/71
      Installing : avahi-libs-0.6.31-20.el7.x86_64                             7/71
      Installing : zip-3.0-11.el7.x86_64                                       8/71
      Installing : 1:perl-Error-0.17020-2.el7.noarch                           9/71
      Installing : unzip-6.0-21.el7.x86_64                                    10/71
      Installing : boost-system-1.53.0-28.el7.x86_64                          11/71
      Installing : patch-2.7.1-12.el7_7.x86_64                                12/71
      Installing : perl-Thread-Queue-3.02-2.el7.noarch                        13/71
      Installing : boost-thread-1.53.0-28.el7.x86_64                          14/71
      Installing : libgfortran-4.8.5-39.el7.x86_64                            15/71
      Installing : cpp-4.8.5-39.el7.x86_64                                    16/71
      Installing : perl-srpm-macros-1-8.el7.noarch                            17/71
      Installing : pakchois-0.4-10.el7.x86_64                                 18/71
      Installing : gettext-common-devel-0.19.8.1-3.el7.noarch                 19/71
      Installing : dwz-0.11-3.el7.x86_64                                      20/71
      Installing : rsync-3.1.2-10.el7.x86_64                                  21/71
      Installing : 1:emacs-filesystem-24.3-23.el7.noarch                      22/71
      Installing : glibc-headers-2.17-307.el7.1.x86_64                        23/71
      Installing : glibc-devel-2.17-307.el7.1.x86_64                          24/71
      Installing : gcc-4.8.5-39.el7.x86_64                                    25/71
      Installing : systemtap-devel-4.0-11.el7.x86_64                          26/71
      Installing : libquadmath-devel-4.8.5-39.el7.x86_64                      27/71
      Installing : perl-TermReadKey-2.30-20.el7.x86_64                        28/71
      Installing : git-1.8.3.1-22.el7_8.x86_64                                29/71
      Installing : perl-Git-1.8.3.1-22.el7_8.noarch                           30/71
      Installing : gettext-devel-0.19.8.1-3.el7.x86_64                        31/71
      Installing : gdb-7.6.1-119.el7.x86_64                                   32/71
      Installing : elfutils-0.176-4.el7.x86_64                                33/71
      Installing : bzip2-1.0.6-13.el7.x86_64                                  34/71
      Installing : perl-Data-Dumper-2.145-3.el7.x86_64                        35/71
      Installing : autoconf-2.69-11.el7.noarch                                36/71
      Installing : libmodman-2.0.1-8.el7.x86_64                               37/71
      Installing : libproxy-0.4.11-11.el7.x86_64                              38/71
      Installing : neon-0.30.0-4.el7.x86_64                                   39/71
      Installing : subversion-libs-1.7.14-14.el7.x86_64                       40/71
      Installing : boost-date-time-1.53.0-28.el7.x86_64                       41/71
      Installing : python-srpm-macros-3-32.el7.noarch                         42/71
      Installing : redhat-rpm-config-9.1.0-88.el7.centos.noarch               43/71
      Installing : perl-Test-Harness-3.28-3.el7.noarch                        44/71
      Installing : automake-1.13.4-3.el7.noarch                               45/71
      Installing : efivar-libs-36-12.el7.x86_64                               46/71
      Installing : mokutil-15-2.el7.centos.x86_64                             47/71
      Installing : libdwarf-20130207-4.el7.x86_64                             48/71
      Installing : dyninst-9.3.1-3.el7.x86_64                                 49/71
      Installing : systemtap-runtime-4.0-11.el7.x86_64                        50/71
      Installing : systemtap-client-4.0-11.el7.x86_64                         51/71
      Installing : perl-XML-Parser-2.41-10.el7.x86_64                         52/71
      Installing : intltool-0.50.2-7.el7.noarch                               53/71
      Installing : systemtap-4.0-11.el7.x86_64                                54/71
      Installing : libtool-2.4.2-22.el7_3.x86_64                              55/71
      Installing : rpm-build-4.11.3-43.el7.x86_64                             56/71
      Installing : subversion-1.7.14-14.el7.x86_64                            57/71
      Installing : gcc-gfortran-4.8.5-39.el7.x86_64                           58/71
      Installing : gcc-c++-4.8.5-39.el7.x86_64                                59/71
      Installing : cscope-15.8-10.el7.x86_64                                  60/71
      Installing : flex-2.5.37-6.el7.x86_64                                   61/71
      Installing : bison-3.0.4-2.el7.x86_64                                   62/71
      Installing : diffstat-1.57-4.el7.x86_64                                 63/71
      Installing : patchutils-0.3.3-4.el7.x86_64                              64/71
      Installing : indent-2.2.11-13.el7.x86_64                                65/71
      Installing : swig-2.0.10-5.el7.x86_64                                   66/71
      Installing : rpm-sign-4.11.3-43.el7.x86_64                              67/71
      Installing : 1:doxygen-1.8.5-4.el7.x86_64                               68/71
      Installing : rcs-5.9.0-7.el7.x86_64                                     69/71
      Installing : byacc-1.9.20130304-3.el7.x86_64                            70/71
      Installing : ctags-5.8-13.el7.x86_64                                    71/71
      Verifying  : perl-Git-1.8.3.1-22.el7_8.noarch                            1/71
      Verifying  : ctags-5.8-13.el7.x86_64                                     2/71
      Verifying  : subversion-libs-1.7.14-14.el7.x86_64                        3/71
      Verifying  : rpm-build-4.11.3-43.el7.x86_64                              4/71
      Verifying  : systemtap-4.0-11.el7.x86_64                                 5/71
      Verifying  : perl-XML-Parser-2.41-10.el7.x86_64                          6/71
      Verifying  : mpfr-3.1.1-4.el7.x86_64                                     7/71
      Verifying  : byacc-1.9.20130304-3.el7.x86_64                             8/71
      Verifying  : libgfortran-4.8.5-39.el7.x86_64                             9/71
      Verifying  : libdwarf-20130207-4.el7.x86_64                             10/71
      Verifying  : efivar-libs-36-12.el7.x86_64                               11/71
      Verifying  : libproxy-0.4.11-11.el7.x86_64                              12/71
      Verifying  : automake-1.13.4-3.el7.noarch                               13/71
      Verifying  : gcc-4.8.5-39.el7.x86_64                                    14/71
      Verifying  : rcs-5.9.0-7.el7.x86_64                                     15/71
      Verifying  : 1:doxygen-1.8.5-4.el7.x86_64                               16/71
      Verifying  : boost-thread-1.53.0-28.el7.x86_64                          17/71
      Verifying  : subversion-1.7.14-14.el7.x86_64                            18/71
      Verifying  : perl-Test-Harness-3.28-3.el7.noarch                        19/71
      Verifying  : systemtap-devel-4.0-11.el7.x86_64                          20/71
      Verifying  : perl-Thread-Queue-3.02-2.el7.noarch                        21/71
      Verifying  : rpm-sign-4.11.3-43.el7.x86_64                              22/71
      Verifying  : python-srpm-macros-3-32.el7.noarch                         23/71
      Verifying  : neon-0.30.0-4.el7.x86_64                                   24/71
      Verifying  : intltool-0.50.2-7.el7.noarch                               25/71
      Verifying  : boost-date-time-1.53.0-28.el7.x86_64                       26/71
      Verifying  : dyninst-9.3.1-3.el7.x86_64                                 27/71
      Verifying  : swig-2.0.10-5.el7.x86_64                                   28/71
      Verifying  : libtool-2.4.2-22.el7_3.x86_64                              29/71
      Verifying  : patch-2.7.1-12.el7_7.x86_64                                30/71
      Verifying  : boost-system-1.53.0-28.el7.x86_64                          31/71
      Verifying  : libmodman-2.0.1-8.el7.x86_64                               32/71
      Verifying  : gcc-c++-4.8.5-39.el7.x86_64                                33/71
      Verifying  : unzip-6.0-21.el7.x86_64                                    34/71
      Verifying  : gettext-devel-0.19.8.1-3.el7.x86_64                        35/71
      Verifying  : perl-Data-Dumper-2.145-3.el7.x86_64                        36/71
      Verifying  : 1:perl-Error-0.17020-2.el7.noarch                          37/71
      Verifying  : indent-2.2.11-13.el7.x86_64                                38/71
      Verifying  : bzip2-1.0.6-13.el7.x86_64                                  39/71
      Verifying  : gcc-gfortran-4.8.5-39.el7.x86_64                           40/71
      Verifying  : apr-util-1.5.2-6.el7.x86_64                                41/71
      Verifying  : flex-2.5.37-6.el7.x86_64                                   42/71
      Verifying  : systemtap-runtime-4.0-11.el7.x86_64                        43/71
      Verifying  : libmpc-1.0.1-3.el7.x86_64                                  44/71
      Verifying  : libquadmath-devel-4.8.5-39.el7.x86_64                      45/71
      Verifying  : m4-1.4.16-10.el7.x86_64                                    46/71
      Verifying  : git-1.8.3.1-22.el7_8.x86_64                                47/71
      Verifying  : patchutils-0.3.3-4.el7.x86_64                              48/71
      Verifying  : elfutils-0.176-4.el7.x86_64                                49/71
      Verifying  : systemtap-client-4.0-11.el7.x86_64                         50/71
      Verifying  : cscope-15.8-10.el7.x86_64                                  51/71
      Verifying  : bison-3.0.4-2.el7.x86_64                                   52/71
      Verifying  : mokutil-15-2.el7.centos.x86_64                             53/71
      Verifying  : gdb-7.6.1-119.el7.x86_64                                   54/71
      Verifying  : autoconf-2.69-11.el7.noarch                                55/71
      Verifying  : zip-3.0-11.el7.x86_64                                      56/71
      Verifying  : apr-1.4.8-5.el7.x86_64                                     57/71
      Verifying  : glibc-devel-2.17-307.el7.1.x86_64                          58/71
      Verifying  : perl-TermReadKey-2.30-20.el7.x86_64                        59/71
      Verifying  : glibc-headers-2.17-307.el7.1.x86_64                        60/71
      Verifying  : 1:emacs-filesystem-24.3-23.el7.noarch                      61/71
      Verifying  : libquadmath-4.8.5-39.el7.x86_64                            62/71
      Verifying  : rsync-3.1.2-10.el7.x86_64                                  63/71
      Verifying  : dwz-0.11-3.el7.x86_64                                      64/71
      Verifying  : diffstat-1.57-4.el7.x86_64                                 65/71
      Verifying  : cpp-4.8.5-39.el7.x86_64                                    66/71
      Verifying  : gettext-common-devel-0.19.8.1-3.el7.noarch                 67/71
      Verifying  : pakchois-0.4-10.el7.x86_64                                 68/71
      Verifying  : avahi-libs-0.6.31-20.el7.x86_64                            69/71
      Verifying  : perl-srpm-macros-1-8.el7.noarch                            70/71
      Verifying  : redhat-rpm-config-9.1.0-88.el7.centos.noarch               71/71
    
    Installed:
      autoconf.noarch 0:2.69-11.el7
      automake.noarch 0:1.13.4-3.el7
      bison.x86_64 0:3.0.4-2.el7
      byacc.x86_64 0:1.9.20130304-3.el7
      cscope.x86_64 0:15.8-10.el7
      ctags.x86_64 0:5.8-13.el7
      diffstat.x86_64 0:1.57-4.el7
      doxygen.x86_64 1:1.8.5-4.el7
      elfutils.x86_64 0:0.176-4.el7
      flex.x86_64 0:2.5.37-6.el7
      gcc.x86_64 0:4.8.5-39.el7
      gcc-c++.x86_64 0:4.8.5-39.el7
      gcc-gfortran.x86_64 0:4.8.5-39.el7
      git.x86_64 0:1.8.3.1-22.el7_8
      indent.x86_64 0:2.2.11-13.el7
      intltool.noarch 0:0.50.2-7.el7
      libtool.x86_64 0:2.4.2-22.el7_3
      patch.x86_64 0:2.7.1-12.el7_7
      patchutils.x86_64 0:0.3.3-4.el7
      rcs.x86_64 0:5.9.0-7.el7
      redhat-rpm-config.noarch 0:9.1.0-88.el7.centos
      rpm-build.x86_64 0:4.11.3-43.el7
      rpm-sign.x86_64 0:4.11.3-43.el7
      subversion.x86_64 0:1.7.14-14.el7
      swig.x86_64 0:2.0.10-5.el7
      systemtap.x86_64 0:4.0-11.el7
    
    Dependency Installed:
      apr.x86_64 0:1.4.8-5.el7
      apr-util.x86_64 0:1.5.2-6.el7
      avahi-libs.x86_64 0:0.6.31-20.el7
      boost-date-time.x86_64 0:1.53.0-28.el7
      boost-system.x86_64 0:1.53.0-28.el7
      boost-thread.x86_64 0:1.53.0-28.el7
      bzip2.x86_64 0:1.0.6-13.el7
      cpp.x86_64 0:4.8.5-39.el7
      dwz.x86_64 0:0.11-3.el7
      dyninst.x86_64 0:9.3.1-3.el7
      efivar-libs.x86_64 0:36-12.el7
      emacs-filesystem.noarch 1:24.3-23.el7
      gdb.x86_64 0:7.6.1-119.el7
      gettext-common-devel.noarch 0:0.19.8.1-3.el7
      gettext-devel.x86_64 0:0.19.8.1-3.el7
      glibc-devel.x86_64 0:2.17-307.el7.1
      glibc-headers.x86_64 0:2.17-307.el7.1
      libdwarf.x86_64 0:20130207-4.el7
      libgfortran.x86_64 0:4.8.5-39.el7
      libmodman.x86_64 0:2.0.1-8.el7
      libmpc.x86_64 0:1.0.1-3.el7
      libproxy.x86_64 0:0.4.11-11.el7
      libquadmath.x86_64 0:4.8.5-39.el7
      libquadmath-devel.x86_64 0:4.8.5-39.el7
      m4.x86_64 0:1.4.16-10.el7
      mokutil.x86_64 0:15-2.el7.centos
      mpfr.x86_64 0:3.1.1-4.el7
      neon.x86_64 0:0.30.0-4.el7
      pakchois.x86_64 0:0.4-10.el7
      perl-Data-Dumper.x86_64 0:2.145-3.el7
      perl-Error.noarch 1:0.17020-2.el7
      perl-Git.noarch 0:1.8.3.1-22.el7_8
      perl-TermReadKey.x86_64 0:2.30-20.el7
      perl-Test-Harness.noarch 0:3.28-3.el7
      perl-Thread-Queue.noarch 0:3.02-2.el7
      perl-XML-Parser.x86_64 0:2.41-10.el7
      perl-srpm-macros.noarch 0:1-8.el7
      python-srpm-macros.noarch 0:3-32.el7
      rsync.x86_64 0:3.1.2-10.el7
      subversion-libs.x86_64 0:1.7.14-14.el7
      systemtap-client.x86_64 0:4.0-11.el7
      systemtap-devel.x86_64 0:4.0-11.el7
      systemtap-runtime.x86_64 0:4.0-11.el7
      unzip.x86_64 0:6.0-21.el7
      zip.x86_64 0:3.0-11.el7
    
    Complete!
    Download pcre-8.44.tar.gz ...
    betainstaller73.sh: line 680: wget: command not found
    Error: pcre-8.44.tar.gz download failed.
    ---------------------------------------------------------------------------
    Total Curl Installer YUM or DNF Time: 0.0000 seconds
    tail: cannot open ‘/root/centminlogs/centminmod_yumtimes_*.log’ for reading: No such file or directory
    tail: cannot open ‘/root/centminlogs/centminmod_downloadtimes_*.log’ for reading: No such file or directory
    tail: cannot open ‘/root/centminlogs/centminmod_ngxinstalltime_*.log’ for reading: No such file or directory
    tail: cannot open ‘/root/centminlogs/*_install.log’ for reading: No such file or directory
    awk: fatal: cannot open file `/root/centminlogs/*_install.log' for reading (No such file or directory)
    tail: cannot open ‘/root/centminlogs/getcmtime_installtime_030520-113454.log’ for reading: No such file or directory
    betainstaller73.sh: line 1413: bc: command not found
    betainstaller73.sh: line 1415: bc: command not found
    Total YUM or DNF + Source Download Time: 0.0000
    Total Nginx First Time Install Time: 0.0000
    Total PHP First Time Install Time: 0.0000
    Download From Github Time:
    Total Time Other eg. source compiles: 0.0000
    Total Centmin Mod Install Time: 0.0000
    ---------------------------------------------------------------------------
    Total Install Time (curl yum + cm install + zip download): 0.0000 seconds
    ---------------------------------------------------------------------------
    1 AMD EPYC 7501 32-Core Processor
    1 1999.999
    ---------------------------------------------------------------------------
    
     
  4. eva2000

    eva2000 Administrator Staff Member

    44,163
    10,066
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,556
    Local Time:
    4:16 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    looks like one yum package conflict is preventing further yum packages like wget from installing
    Code (Text):
    libuuid-2.23.2-63.el7.x86_64 is a duplicate with libuuid-2.23.2-61.el7.x86_64
    

    Code (Text):
    --> Finished Dependency Resolution
    Error: Package: libblkid-2.23.2-61.el7.x86_64 (@anaconda)
              Requires: libuuid = 2.23.2-61.el7
              Removing: libuuid-2.23.2-61.el7.x86_64 (@anaconda)
                  libuuid = 2.23.2-61.el7
              Updated By: libuuid-2.23.2-63.el7.x86_64 (base)
                  libuuid = 2.23.2-63.el7
     You could try using --skip-broken to work around the problem
    

    Code (Text):
    Download pcre-8.44.tar.gz ...
    betainstaller73.sh: line 680: wget: command not found
    Error: pcre-8.44.tar.gz download failed.
    

    Did you run 123.08stable installer.sh and 123.09beta01 betainstaller73.sh on same CentOS 7 server without reinstalling fresh CentOS 7 OS between installs ? That could be why. Try fresh CentOS 7 reinstall and only use betainstaller73.sh
     
    • Agree Agree x 1
  5. Altair

    Altair Member

    57
    3
    8
    Jan 27, 2018
    Ratings:
    +3
    Local Time:
    9:16 PM
    i did a rebuild with centos 7 and ran betainstaller73

    however any clue why my putty session hangs on this:
    checking for struct. etc

    [​IMG]

    could it be the nanode ram aren't enough?
     
  6. Altair

    Altair Member

    57
    3
    8
    Jan 27, 2018
    Ratings:
    +3
    Local Time:
    9:16 PM
    Also I got this after login, could it be half installation and need rebuild to try again? cuz there's too much "no such file or directory"

    Code:
    [14:55][root@hostname.example.com ~]# cd /usr/local/src/centminmod
    [14:55][root@hostname.example.com centminmod]# ./centmin.sh
    cp: target ‘/usr/local/nginx/conf/phpfpmd/’ is not a directory
    grep: /etc/csf/csf.conf: No such file or directory
    sed: can't read /etc/csf/csf.conf: No such file or directory
    grep: /usr/bin/npstop: No such file or directory
    grep: /etc/csf/csf.conf: No such file or directory
    sed: can't read /etc/csf/csf.conf: No such file or directory
    sed: can't read /etc/csf/csf.conf: No such file or directory
    cp: cannot create regular file ‘/etc/csf/load.sh’: No such file or directory
    sed: can't read /etc/csf/csf.conf: No such file or directory
    sed: can't read /etc/csf/csf.conf: No such file or directory
    grep: /usr/local/nginx/conf/nginx.conf: No such file or directory
    sed: can't read /usr/local/nginx/conf/nginx.conf: No such file or directory
    --------------------------------------------------------
         Centmin Mod Menu 123.09beta01 centminmod.com
    --------------------------------------------------------
    1).  Centmin Install
    2).  Add Nginx vhost domain
    3).  NSD setup domain name DNS
    4).  Nginx Upgrade / Downgrade
    5).  PHP Upgrade / Downgrade
    6).  XCache Re-install
    7).  APC Cache Re-install
    8).  XCache Install
    9).  APC Cache Install
    10). Memcached Server Re-install
    11). MariaDB MySQL Upgrade & Management
    12). Zend OpCache Install/Re-install
    13). Install/Reinstall Redis PHP Extension
    14). SELinux disable
    15). Install/Reinstall ImagicK PHP Extension
    16). Change SSHD Port Number
    17). Multi-thread compression: zstd,pigz,pbzip2,lbzip2
    18). Suhosin PHP Extension install
    19). Install FFMPEG and FFMPEG PHP Extension
    20). NSD Install/Re-Install
    21). Data Transfer (TBA)
    22). Add Wordpress Nginx vhost + Cache Plugin
    23). Update Centmin Mod Code Base
    24). Exit
    --------------------------------------------------------
    Enter option [ 1 - 24 ]
    
     
  7. eva2000

    eva2000 Administrator Staff Member

    44,163
    10,066
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,556
    Local Time:
    4:16 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    that isn't normal. Which Linode data center region are you using ? Check Linode status page to see if there's any network issues etc at https://status.linode.com/

    Strange are you using full root user or a created sudo user for installing Centmin Mod.

    Can you share the initial install log from this run via gist.github.com or pastebin.com link. Only way to know what's wrong is via the initial install log.
     
  8. Altair

    Altair Member

    57
    3
    8
    Jan 27, 2018
    Ratings:
    +3
    Local Time:
    9:16 PM
    I'm using full root user. Also linode status is operational, also taking in note that this is a nanode instead of a linode could it be an issue?

    here's the centminmod_123.09beta01.b502_030520-131001_install.log
    centminLog
     
  9. eva2000

    eva2000 Administrator Staff Member

    44,163
    10,066
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,556
    Local Time:
    4:16 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    seems the install load was cut off as only part of output was uploaded to gist so can't see the rest.

    nano should work as long as you have 1+ GB memory. You can try a nanon in a different linode region to confirm too
     
  10. eva2000

    eva2000 Administrator Staff Member

    44,163
    10,066
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,556
    Local Time:
    4:16 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
  11. Altair

    Altair Member

    57
    3
    8
    Jan 27, 2018
    Ratings:
    +3
    Local Time:
    9:16 PM
    Should i rebuild and try again? if install was cut
     
  12. eva2000

    eva2000 Administrator Staff Member

    44,163
    10,066
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,556
    Local Time:
    4:16 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    No the log file you uploaded was incomplete that's all.

    Use a SFTP client and log into your server as root on port 22 via IP address of server and then just download the file from /root/centminlogs and copy and paste it's contents into gist.github.com
     
  13. Altair

    Altair Member

    57
    3
    8
    Jan 27, 2018
    Ratings:
    +3
    Local Time:
    9:16 PM
    i already did that and pasted the contents of the file inside gist and shared the link with you.

    the last lines are just the same last lines in gist i shared
     
  14. eva2000

    eva2000 Administrator Staff Member

    44,163
    10,066
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,556
    Local Time:
    4:16 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    Could be your SSH client's scrollback buffer (how many lines to output from cat) isn't large enough so cat output got cut off. I was going to suggest you try sharing output of more minimal log in /root/centminlogs which is named like installer_040520-123211_minimal.log where date/timestamp would differ. But seems list of gist might be around 5778 lines :(

    Just successfully tested Linode nano VPS instance in Dallas region and installed betainstaller73.sh fine

    full install log has 20,642 lines
    Code (Text):
    cat /root/centminlogs/installer_040520-123211.log | wc -l
    20642

    minimal install log has 15,180 lines
    Code (Text):
    cat /root/centminlogs/installer_040520-123211_minimal.log | wc -l
    15180
    

    and test gist capped out in saving only 5778 of those lines heh.

    Code (Text):
    ---------------------------------------------------------------------------
    Total Curl Installer YUM or DNF Time: 179.7115 seconds
    Total YUM Time: 116.992366876 seconds
    Total YUM or DNF + Source Download Time: 253.2674
    Total Nginx First Time Install Time: 713.8534
    Total PHP First Time Install Time: 994.9367
    Download From Github Time: 1.6854
    Total Time Other eg. source compiles: 690.5426
    Total Centmin Mod Install Time: 2652.6001
    ---------------------------------------------------------------------------
    Total Install Time (curl yum + cm install + zip download): 2833.9970 seconds
    ---------------------------------------------------------------------------
    1 Intel(R) Xeon(R) CPU E5-2697 v4 @ 2.30GHz
    1 2299.996
    ---------------------------------------------------------------------------
    


    You send me a private message and download that install log and gzip/zip compress it and that upload as an attachment in private message instead.
     
  15. eva2000

    eva2000 Administrator Staff Member

    44,163
    10,066
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,556
    Local Time:
    4:16 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    if it's the case that you downloaded install log and copy and pasted the contents, did the centmin mod install finish with it reporting install times ? or did it just hang ? or it could be that nano VPS with only 1 cpu core was slower to install centmin mod and your SSH connection timed out before completing ?

    was your SSH connection disconnected anytime during the installation ?
     
  16. Altair

    Altair Member

    57
    3
    8
    Jan 27, 2018
    Ratings:
    +3
    Local Time:
    9:16 PM
    Dear @eva2000, I just went with a rebuild, but I lost connection to the putty session at this point due to my internet connection, wouldn't the script continue in this case? and install be fine?

     
  17. Altair

    Altair Member

    57
    3
    8
    Jan 27, 2018
    Ratings:
    +3
    Local Time:
    9:16 PM
    @eva2000
    I rebuilded the nanode and rerun betainstaller, then i lost internet connection to putty, but I think the script kept running?

    i created new nginx vhost and setup hostname and then setup cloudflare dns only
    then I run my website domain link or server ip I get 502 error code:
    Code:
    502 Bad Gateway
    The server returned an invalid or incomplete response.


    I didn't have an issue installing on a linode previously as I have a server up and running on centmin mod, but nanode is having issues?

    here's the install log downloaded from WinScp
    https://gist.githubusercontent.com/...7e796ff3d91b773f3610a1452d9e4aec/centminLogss
     
  18. eva2000

    eva2000 Administrator Staff Member

    44,163
    10,066
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,556
    Local Time:
    4:16 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    That is your problem, when you loose SSH connection, the install script will abort. I don't use putty but they seem to have keepalives option to prevent disconnections Using keepalives to prevent disconnection - PuTTY Documentation
     
    • Like Like x 1
  19. Altair

    Altair Member

    57
    3
    8
    Jan 27, 2018
    Ratings:
    +3
    Local Time:
    9:16 PM
    Now everything works! Thanks eva2000 for following along. just edited keepalive